ISALPHA(3)

NAME
isalpha, isalpha_l - alphabetic single-byte character test

SYNOPSIS
#include <ctype.h>
int
isalpha(int c);
int
isalpha_l(int c, locale_t locale);

DESCRIPTION
The isalpha() and isalpha_l() functions test whether c represents a letter.

In the C locale, the complete list of alphabetic characters is A–Z and a–z. OpenBSD always uses the C locale for these functions, ignoring the global locale, the thread-specific locale, and the locale argument.

RETURN VALUES
These functions return zero if the character tests false or non-zero if the character tests true.

ENVIRONMENT
On systems supporting non-ASCII single-byte character encodings, these functions may return non-zero for additional characters, and the results of isalnum() may depend on the LC_CTYPE locale(1), but they never return non-zero for any character for which iscntrl(3), isdigit(3), ispunct(3), or isspace(3) is true.

SEE ALSO
isalnum(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), iswalpha(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isalpha() function conforms to ansiC, and isalpha_l() to p1003.1-2008.

HISTORY
The isalpha() function first appeared in AT&T UNIX, and isalpha_l() has been available since OpenBSD 6.2.

CAVEATS
The argument c must be EOF or representable as an unsigned char; otherwise, the result is undefined.